[General]

[Proxy]
CAN-4 = snell, 43.138.242.118, 20001, psk=3dWdzJ9xVNbePOz7TXVL9ugpGnlVfn4, version=5, reuse=true
HKG-1 = snell, 43.138.242.118, 33001, psk=q9oc09CivHbKtw2UKKhBSBt39z0ITd9, version=5, reuse=true
HKG-4 = snell, 43.138.242.118, 33007, psk=pygQidIeVbo5NFz3r0Ad4nwLExVFg5u, version=5, reuse=true
HKG-5 = snell, 43.138.242.118, 33003, psk=JcIXmVjiqQ7fbNmpMh85tk2s29mBc9c, version=5, reuse=true
NRT-4 = snell, 43.138.242.118, 33005, psk=IyqtjtNrlXxxdFTD2OjQeBLY9zy8BdV, version=5, reuse=true
TPE-1 = snell, 43.138.242.118, 33009, psk=tjZocLcpMZy2DaJdKssE0ifr9rDKYkC, version=5, reuse=true

[Proxy Group]
Global = select, DIRECT, REJECT, HKG-1, HKG-4, HKG-5, NRT-4, TPE-1, include-all-proxies=0
Domestic = select, DIRECT, REJECT, HKG-1, HKG-4, HKG-5, NRT-4, TPE-1, include-all-proxies=0

AI = select, DIRECT, REJECT, Global, HKG-1, HKG-4, HKG-5, NRT-4, TPE-1, include-all-proxies=0
Apple = select, DIRECT, REJECT, Global, HKG-1, HKG-4, HKG-5, NRT-4, TPE-1, include-all-proxies=0
CDN = select, DIRECT, REJECT, Global, HKG-1, HKG-4, HKG-5, NRT-4, TPE-1, include-all-proxies=0
Messenger = select, DIRECT, REJECT, Global, HKG-1, HKG-4, HKG-5, NRT-4, TPE-1, include-all-proxies=0
Microsoft = select, DIRECT, REJECT, Global, HKG-1, HKG-4, HKG-5, NRT-4, TPE-1, include-all-proxies=0
RemoteD = select, DIRECT, REJECT, Global, CAN-4, HKG-1, HKG-4, HKG-5, NRT-4, TPE-1, include-all-proxies=0
RemoteG = select, DIRECT, REJECT, Global, CAN-4, HKG-1, HKG-4, HKG-5, NRT-4, TPE-1, include-all-proxies=0

[Rule]
AND,((GEOIP,CN,no-resolve),(DEST-PORT,22)),RemoteD
AND,((GEOIP,CN,no-resolve),(DEST-PORT,3389)),RemoteD
IP-CIDR,100.64.0.0/10,RemoteD,no-resolve
DEST-PORT,22,RemoteG
DEST-PORT,3389,RemoteG
DEST-PORT,8006,RemoteG

DOMAIN-SET,https://ruleset.skk.moe/List/domainset/reject.conf,REJECT,pre-matching,extended-matching
DOMAIN-SET,https://ruleset.skk.moe/List/domainset/reject_extra.conf,REJECT,pre-matching
DOMAIN-SET,https://ruleset.skk.moe/List/domainset/apple_cdn.conf,CDN
DOMAIN-SET,https://ruleset.skk.moe/List/domainset/cdn.conf,CDN

RULE-SET,https://ruleset.skk.moe/List/non_ip/reject.conf,REJECT,pre-matching,extended-matching
RULE-SET,https://ruleset.skk.moe/List/non_ip/reject-no-drop.conf,REJECT-NO-DROP,pre-matching,extended-matching
RULE-SET,https://ruleset.skk.moe/List/non_ip/reject-drop.conf,REJECT-DROP,pre-matching
RULE-SET,https://ruleset.skk.moe/List/non_ip/ai.conf,AI
RULE-SET,https://ruleset.skk.moe/List/non_ip/telegram.conf,Messenger
RULE-SET,https://ruleset.skk.moe/List/non_ip/apple_services.conf,Apple
RULE-SET,https://ruleset.skk.moe/List/non_ip/apple_cn.conf,Domestic
RULE-SET,https://ruleset.skk.moe/List/non_ip/microsoft_cdn.conf,CDN
RULE-SET,https://ruleset.skk.moe/List/non_ip/microsoft.conf,Microsoft
RULE-SET,https://ruleset.skk.moe/List/non_ip/cdn.conf,CDN

RULE-SET,https://ruleset.skk.moe/List/ip/reject.conf,REJECT-DROP
RULE-SET,https://ruleset.skk.moe/List/ip/telegram.conf,Messenger
RULE-SET,https://ruleset.skk.moe/List/ip/telegram_asn.conf,Messenger
RULE-SET,https://ruleset.skk.moe/List/ip/china_ip.conf,Domestic

FINAL,Global
